2020-07-13 14:52 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000493mercuryBugpublic2020-01-23 11:46
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000493: MLDS ground terms bug
DescriptionMLDS backend crashes on the attached test case when --loop-invariants is enabled (or -O5).

% ./build.sh
+ mmc -s hlc.gc --make-interface codepoint
+ mmc -s hlc.gc --loop-invariants -C bug
Uncaught Mercury exception:
Software Error: map.lookup: key not found
        Key Type: term.var(parse_tree.prog_data.prog_var_type)
        Key Value: var(7)
        Value Type: ml_backend.ml_gen_info.ml_ground_term
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001070

zs (developer)

Fix committed 2020 Jan 22.
+Notes

-Issue History
Date Modified Username Field Change
2020-01-22 14:50 wangp New Issue
2020-01-22 14:50 wangp File Added: mlds_ground_term_bug.tar.gz
2020-01-22 15:17 zs Assigned To => zs
2020-01-22 15:17 zs Status new => assigned
2020-01-23 11:46 zs Status assigned => resolved
2020-01-23 11:46 zs Resolution open => fixed
2020-01-23 11:46 zs Note Added: 0001070
+Issue History